Subject: Re: bug#11183: [coreutils 8.13] touch: add options -v, --verbose

From: Jim Meyering <[email-masked]>
Date: Thu, 05 Apr 2012 14:08:08 +0200

Pádraig Brady wrote:
> On 04/05/2012 06:14 AM, Jari Aalto wrote:
>>
>> Please add verbose options to program touch(1):
>>
>>     -v, --verbose
>>
>> Similarly than what is found in cp(1), mv(1). Seing what files are being
>> touched e.g. from scripts would be helpful:
>>
>>     touch ${optionverbose:+--verbose} <file pattern>
>
> Well files are always touched, or at a low level if the
> timestamps don't need to be updated, this info isn't returned.
>
> Also to indicate as to whether files were created or not,
> is problematic, I don't think that can be done atomically.

Exactly.
I'd rather not add any more --verbose options like this.
In fact, I have been sorely tempted to remove the --verbose
options from chown/chgrp and chmod: the options add complexity and
the printed results are not reliable.